<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Custom input component</title>
</head>
<body>

<main>
    <password-component v-model="password" :password="password"></password-component>

    <pre>
{{ $data }}
    </pre>
</main>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script>

    Vue.component('password-component', {
        props: ['password'],
        template: `<div><input :value="password" @input="checkedPassword($event.target.value)" ref="password">
                    <p v-if="message">Password invalid!</p>
                    </div>`,
        methods: {
            checkedPassword(password) {
                if(this.passwordInvalid.includes(password)) {
                    this.message = !this.message;
                    setTimeout(()=> {this.message = !this.message;}, 2000)
                } else {
                    this.$emit('input', password);
                    // this.message = !this.message
                }

            }
        },
        data() {
            return {
                passwordInvalid: ['abc', 'root', 'admin', '123'],
                message: false
            }
        }
    });

    new Vue({
        el: 'main',
        data: {
            password: '*A[JSDK8931'
        }
    });
</script>
</body>
</html>